// Package docs GENERATED BY SWAG; DO NOT EDIT
// This file was generated by swaggo/swag
package docs

import "github.com/swaggo/swag"

const docTemplate = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{escape .Description}}",
        "title": "{{.Title}}",
        "termsOfService": "http://swagger.io/terms/",
        "contact": {
            "name": "ccatss",
            "url": "https://ccatss.dev",
            "email": "admin@meow.tf"
        },
        "license": {
            "name": "ISC License",
            "url": "/LICENSE.txt"
        },
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/": {
            "post": {
                "description": "Minify content based on input type",
                "consumes": [
                    "text/html",
                    "text/css",
                    "image/svg+xml",
                    "application/javascript",
                    "application/json",
                    "text/xml"
                ],
                "produces": [
                    "text/plain"
                ],
                "summary": "Minify content",
                "parameters": [
                    {
                        "description": "Input text",
                        "name": "input",
                        "in": "body",
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Minified content",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/css": {
            "post": {
                "description": "Minify CSS Input",
                "consumes": [
                    "text/css"
                ],
                "produces": [
                    "text/css"
                ],
                "summary": "Minify CSS",
                "parameters": [
                    {
                        "description": "Input CSS",
                        "name": "input",
                        "in": "body",
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Minified CSS",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/html": {
            "post": {
                "description": "Minify HTML Input",
                "consumes": [
                    "text/html"
                ],
                "produces": [
                    "text/html"
                ],
                "summary": "Minify HTML",
                "parameters": [
                    {
                        "description": "Input HTML",
                        "name": "input",
                        "in": "body",
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Minified HTML",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/js": {
            "post": {
                "description": "Minify JavaScript Input",
                "consumes": [
                    "application/javascript"
                ],
                "produces": [
                    "application/javascript"
                ],
                "summary": "Minify JavaScript",
                "parameters": [
                    {
                        "description": "Input JavaScript",
                        "name": "input",
                        "in": "body",
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Minified JavaScript",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/json": {
            "post": {
                "description": "Minify JSON Input",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "summary": "Minify JSON",
                "parameters": [
                    {
                        "description": "Input JSON",
                        "name": "input",
                        "in": "body",
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Minified JSON",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/svg": {
            "post": {
                "description": "Minify SVG Input",
                "consumes": [
                    "image/svg+xml"
                ],
                "produces": [
                    "image/svg+xml"
                ],
                "summary": "Minify SVG",
                "parameters": [
                    {
                        "description": "Input SVG",
                        "name": "input",
                        "in": "body",
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Minified SVG",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        },
        "/xml": {
            "post": {
                "description": "Minify XML Input",
                "consumes": [
                    "text/xml"
                ],
                "produces": [
                    "text/xml"
                ],
                "summary": "Minify XML",
                "parameters": [
                    {
                        "description": "Input XML",
                        "name": "input",
                        "in": "body",
                        "schema": {
                            "type": "string"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "Minified XML",
                        "schema": {
                            "type": "string"
                        }
                    }
                }
            }
        }
    }
}`

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = &swag.Spec{
	Version:          "1.0",
	Host:             "minify.ccatss.dev",
	BasePath:         "/api",
	Schemes:          []string{},
	Title:            "Minifier API",
	Description:      "An API Implementation of tdewolfe's minify package",
	InfoInstanceName: "swagger",
	SwaggerTemplate:  docTemplate,
}

func init() {
	swag.Register(SwaggerInfo.InstanceName(), SwaggerInfo)
}
